document.addEventListener('DOMContentLoaded', function() {
  // Add smooth scrolling
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Add reading time estimate
  const articles = document.querySelectorAll('article');
  articles.forEach(article => {
    const text = article.textContent;
    const wordCount = text.split(/\s+/).length;
    const readingTime = Math.ceil(wordCount / 200);
    
    const timeElement = document.createElement('div');
    timeElement.classList.add('reading-time');
    timeElement.textContent = `${readingTime} min read`;
    article.insertBefore(timeElement, article.firstChild);
  });
});
